<div fxFlex>
  <mat-sidenav-container class="sidenav-container">
    <mat-sidenav
      #sidenav
      [mode]="isMobile ? 'over' : 'side'"
      [opened]="!isMobile"
      [disableClose]="!isMobile"
      ngClass.gt-sm="has-border"
      class="menu"
    >
      <mat-toolbar color="primary">
        <span>{{ title }}</span>
      </mat-toolbar>
      <nav>
        <mat-list class="mt-2">
          <div *ngFor="let item of menuItems; let i = index" class="mb-1">
            <a
              mat-list-item
              class="menu-item"
              [routerLink]="'/' + item.link"
              routerLinkActive="active"
            >
              <div class="item-menu" routerLinkActive="active">
                <mat-icon class="item-icon" mat-list-icon>{{
                  item.icon
                }}</mat-icon>
                <div class="mr-3" (click)="isMobile && sidenav.close()">
                  {{ item.name }}
                </div>
                <button
                  mat-icon-button
                  type="button"
                  *ngIf="item.children.length > 0"
                  class="ml-3"
                  aria-label="dropdown icon"
                ></button>
              </div>
            </a>
          </div>
        </mat-list>
      </nav>
    </mat-sidenav>
    <mat-sidenav-content>
      <mat-toolbar color="primary" class="mat-elevation-z6">
        <button
          class="menu-button"
          mat-icon-button
          (click)="sidenav.toggle()"
          fxHide.gt-sm
        >
          <mat-icon>menu</mat-icon>
        </button>
        <span class="title">{{ title }}</span>
        <div fxFlex></div>
        <div></div>
      </mat-toolbar>
      <div class="container">
        <router-outlet></router-outlet>
      </div>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>
